# Get KYC form spec

Fetches a KYC form spec.

```http
GET https://api.pozy.ai/v1/whatsapp/phone-numbers/kyc
```

- Area: WhatsApp / WhatsApp Phone Numbers
- Auth: Authorization: Bearer pz_live_...
- Deprecated

## Query parameters

- `country` (string, required)
- `profileId` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/whatsapp/phone-numbers/kyc?country=US&profileId=6a0b6573846efc28aaa9a3ff" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/whatsapp/phone-numbers/kyc?country=US&profileId=6a0b6573846efc28aaa9a3ff", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/whatsapp/phone-numbers/kyc",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "country": "US",
        "profileId": "6a0b6573846efc28aaa9a3ff",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `country`, string
- `numberType`, string
- `fields`, array of object
  - `requirementId`, string
  - `label`, string
  - `kind`, string: One of `text`, `date`, `address`, `file`, `action`
  - `description`, string: Can be null
  - `example`, string: Can be null
  - `localTo`, string: Can be null
  - `audience`, string: One of `business`, `individual`. Can be null
- `reusable`, object: Can be null
  - `available`, boolean
  - `fromPhoneNumber`, string
  - `details`, array of object
    - `label`, string
    - `value`, string
  - `options`, array of object
    - `id`, string
    - `fromPhoneNumber`, string
    - `instant`, boolean
    - `details`, array of object
      - `label`, string
      - `value`, string
      - `documentId`, string
- `pendingReview`, boolean

```json
{
  "country": "US",
  "numberType": "string",
  "fields": [
    {
      "requirementId": "6296509a322aab288a61cc5d",
      "label": "string",
      "kind": "text",
      "description": "A short description",
      "example": "string",
      "localTo": "string",
      "audience": "business"
    }
  ],
  "reusable": {
    "available": true,
    "fromPhoneNumber": "+14155550123",
    "details": [
      {
        "label": "string",
        "value": "string"
      }
    ],
    "options": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "fromPhoneNumber": "+14155550123",
        "instant": true,
        "details": [
          {
            "label": "string",
            "value": "string",
            "documentId": "663401f11b591db15bd1bbd9"
          }
        ]
      }
    ]
  },
  "pendingReview": true
}
```
